﻿@model NavigationViewModel

@functions
{
bool IsActive(TreeNode<NavigationNode> node)
{
    return Model.CurrentNode != null && Model.CurrentNode.GetParentNodeChain(true, true).Contains(node);
}

async Task<bool> HasChildren(TreeNode<NavigationNode> node)
{
    return await Model.HasVisibleChildren(node);
}
}


<ul class="list">
    <li class="header">NAVEGACIÓN PRINCIPAL</li>
    @if (await Model.HasVisibleChildren(Model.RootNode) == true)
    {
        @foreach (var node in Model.RootNode.Children)
        {
            @if (node != null && await Model.ShouldAllowView(node))
            {
                @if(string.IsNullOrWhiteSpace(node.Value.Url) && string.IsNullOrWhiteSpace(node.Value.Action) && !await HasChildren(node))
                {
                    continue;
                }

                <li @(Html.Raw(IsActive(node) ? @"class=""active""" : string.Empty))>
                    <a class="waves-effect waves-light-green @(await HasChildren(node) ? "menu-toggle" : string.Empty)" href="@Url.Content(Model.AdjustUrl(node))">
                        <i class="material-icons">@node.Value.IconCssClass</i>
                        <span>@node.Value.Title</span>
                    </a>
                    @if (await HasChildren(node))
                    {
                        @Model.UpdateTempNode(node)
                        <partial name="Sidebar/SidebarComponents/_SidebarMenuSubItem" model="Model" />
                    }
                </li>
            }
        }
    }
</ul>